import QtQuick 2.12
import QtQuick.Controls 2.12
import QtQuick.Window 2.12
import QtQml 2.12

Window {
    width: 640
    height: 480
    visible: true

    Button {
        id: button
        text: "text"
        anchors.centerIn: parent
        onClicked: {
            console.log("start")
            timer.restart()
        }
        onTextChanged: {
            console.log("onTextChanged", text)
        }
    }

    Timer {
        id: timer
        interval: 70000
        onTriggered: {
            console.log("triggered")
            button.text = ""
        }

    }
}
